commit 2818e1333a2dddbdc18346d766df091e42eb69bb
Author: freddy77 <freddy77>
Date:   Sat Jun 19 07:53:21 2010 +0000

    fix possible core

diff --git a/ChangeLog b/ChangeLog
index e82a8c8..18ceb91 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jun 19 09:53:14 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/pool/member.c src/tds/unittests/common.c: fix possible core
+
 Sat Jun 19 09:47:38 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* README.Windows: add initial README file for windows
 
@@ -2477,4 +2480,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3030 2010/06/19 07:47:52 freddy77 Exp $
+$Id: ChangeLog,v 1.3031 2010/06/19 07:53:21 freddy77 Exp $
diff --git a/src/pool/member.c b/src/pool/member.c
index 7acf8bd..156ed44 100644
--- a/src/pool/member.c
+++ b/src/pool/member.c
@@ -59,7 +59,7 @@
 #define MAXHOSTNAMELEN 256
 #endif /* MAXHOSTNAMELEN */
 
-TDS_RCSID(var, "$Id: member.c,v 1.45 2009/06/09 08:55:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: member.c,v 1.46 2010/06/19 07:53:21 freddy77 Exp $");
 
 static int pool_packet_read(TDS_POOL_MEMBER * pmbr);
 static TDSSOCKET *pool_mbr_login(TDS_POOL * pool);
@@ -95,7 +95,7 @@ pool_mbr_login(TDS_POOL * pool)
 	tds_set_packet(login, 512);
 	context = tds_alloc_context(NULL);
 	tds = tds_alloc_socket(context, 512);
-	connection = tds_read_config_info(NULL, login, context->locale);
+	connection = tds_read_config_info(tds, login, context->locale);
 	if (!connection || tds_connect_and_login(tds, connection) != TDS_SUCCEED) {
 		tds_free_socket(tds);
 		tds_free_connection(connection);
diff --git a/src/tds/unittests/common.c b/src/tds/unittests/common.c
index f037b2a..bc37d11 100644
--- a/src/tds/unittests/common.c
+++ b/src/tds/unittests/common.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: common.c,v 1.29 2008/12/17 11:04:34 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.30 2010/06/19 07:53:21 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -96,7 +96,7 @@ try_tds_login(TDSLOGIN ** login, TDSSOCKET ** tds, const char *appname, int verb
 	test_context = tds_alloc_context(NULL);
 	*tds = tds_alloc_socket(test_context, 512);
 	tds_set_parent(*tds, NULL);
-	connection = tds_read_config_info(NULL, *login, test_context->locale);
+	connection = tds_read_config_info(*tds, *login, test_context->locale);
 	if (!connection || tds_connect_and_login(*tds, connection) != TDS_SUCCEED) {
 		if (connection) {
 			tds_free_socket(*tds);

